Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83645

Summary: OpenOffice Draw files do not have unique icon
Product: [Retired] Red Hat Linux Reporter: Sean E. Millichamp <sean>
Component: openoffice.orgAssignee: Dan Williams <dcbw>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: garrett, hp
Target Milestone: ---Keywords: FutureFeature, GraphicArt, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-16 19:08:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 79579, 100644    

Description Sean E. Millichamp 2003-02-06 18:37:50 UTC
Description of problem:

Draw files (*.sxd) apparently never get associated with a unique icon like the
Text, Spreadsheet, and Presentation files are.  When browsing with Nautilus
*.sxd files just appear as "blank sheet" icons like unknown files.  

Double-clicking on the icons still launches OpenOffice so it's a purely cosmetic
fix.  However, with the 8.x series being "the desktop release" it would be a
nice for Draw files to have unique icons like the rest of the office suite.

Comment 1 Alexander Larsson 2003-02-17 15:17:02 UTC
The Bluecurve icon theme is missing a
"gnome-mime-application-vnd.sun.xml.draw.png" icon.


Comment 2 Garrett LeSage 2003-07-31 16:34:06 UTC
I will design icons to cover vector art files at some point in the future.

Comment 3 Garrett LeSage 2003-08-06 21:38:59 UTC
Fixed. Added to the latest redhat-artwork.